[pacman-dev] [PATCH] Makefile.am: fix typo in LOG_DRIVER variable
Andrew Gregory
andrew.gregory.8 at gmail.com
Tue Nov 5 08:50:44 EST 2013
Self-executing tests were not being run through the tap log driver.
This caused `make check` to ignore discrepancies between the expected
number of tests and the actual number of tests.
Also, fix some uncommented output from test scripts that could confuse
TAP parsers.
Signed-off-by: Andrew Gregory <andrew.gregory.8 at gmail.com>
---
As a side effect, each test in the scripts is counted individually by make
check, giving us a more impressive test count of 446.
Makefile.am | 2 +-
test/scripts/human_to_size_test.sh | 2 +-
test/scripts/parseopts_test.sh | 2 +-
test/util/pacsorttest.sh | 4 ++--
test/util/vercmptest.sh | 2 +-
5 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/Makefile.am b/Makefile.am
index 0ba39ca..4d5adae 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -36,7 +36,7 @@ TEST_EXTENSIONS = .py
AM_TESTS_ENVIRONMENT = \
PMTEST_UTIL_DIR=$(top_builddir)/src/util/; export PMTEST_UTIL_DIR; \
PMTEST_SCRIPTLIB_DIR=$(top_srcdir)/scripts/library/; export PMTEST_SCRIPTLIB_DIR;
-TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
+LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
$(top_srcdir)/build-aux/tap-driver.sh
PY_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) \
$(top_srcdir)/build-aux/tap-driver.sh
diff --git a/test/scripts/human_to_size_test.sh b/test/scripts/human_to_size_test.sh
index 6306137..a467f27 100755
--- a/test/scripts/human_to_size_test.sh
+++ b/test/scripts/human_to_size_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t human_to_size >/dev/null; then
+if ! type -t human_to_size &>/dev/null; then
printf 'Bail out! human_to_size function not found\n'
exit 1
fi
diff --git a/test/scripts/parseopts_test.sh b/test/scripts/parseopts_test.sh
index 5ff4bc5..00bdbd8 100755
--- a/test/scripts/parseopts_test.sh
+++ b/test/scripts/parseopts_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t parseopts >/dev/null; then
+if ! type -t parseopts &>/dev/null; then
printf 'Bail out! parseopts function not found\n'
exit 1
fi
diff --git a/test/util/pacsorttest.sh b/test/util/pacsorttest.sh
index ac16c45..ef24a76 100755
--- a/test/util/pacsorttest.sh
+++ b/test/util/pacsorttest.sh
@@ -25,7 +25,7 @@ total=23
run=0
failure=0
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! pacsort binary ($bin) could not be located"
exit 1
fi
@@ -47,7 +47,7 @@ runtest() {
fi
}
-echo "Running pacsort tests..."
+echo "# Running pacsort tests..."
echo "1..$total"
diff --git a/test/util/vercmptest.sh b/test/util/vercmptest.sh
index a7fd851..2d74b57 100755
--- a/test/util/vercmptest.sh
+++ b/test/util/vercmptest.sh
@@ -25,7 +25,7 @@ run=0
failure=0
# use first arg as our binary if specified
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! vercmp binary ($bin) could not be located"
exit 1
fi
--
1.8.4.2
More information about the pacman-dev
mailing list